Skip to main content
Version: 2.3.0

Get list of companys

Updated date: 18/08/2026
Updated by: VNPT eContract's team


Purpose​

Retrieve the information of the company list associated with the logged-in account.

  • Request URL: /api/auth/get-companies
  • HTTP method: GET
  • Authorize: Bearer token
  • Parameter: Not required

Sample response body​

{
"data": [
{
"id": 164,
"name": "VNPT eContract Company",
"address": "42 Truong Quyen, Quan 3, TP.Ho Chi Minh",
"taxCode": "0108212803-012",
"createdDate": "2021-01-04T23:03:28.0149563",
"status": {
"value": 0,
"description": "Enable"
}
}
],
"success": true,
"code": 0,
"messages": []
}

Response Body Description​

KeyTypeDescription
successbooleanResponse status (true: Success, false: Failure)
codeintResponse code from the system
messagesarrayList of messages or errors returned (e.g., ["User's company not found"])
dataarrayList (Array[object]) containing detailed company information (see details below)

Details of data:​

The data field contains a list of company objects with the following properties:

KeyTypeDescription
idintCompany ID
namestringCompany name
addressstringCompany address
taxCodestringCompany tax code
createdDatestringData creation time (ISO 8601 format)
statusobjectCompany status: {"value": 0, "description": "Enabled"}
0: Enabled
-1: Disabled
-2: Deleted